<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav"
    app:startDestination="@id/managerFragment">

    <fragment
        android:id="@+id/managerFragment"
        android:name="com.zxhy.hfilemanagermaster.manager.ManagerFragment"
        android:label="fragment_manager"
        tools:layout="@layout/fragment_manager" >
        <action
            android:id="@+id/action_managerFragment_to_largeFileActivity"
            app:destination="@id/largeFileActivity" />
        <action
            android:id="@+id/action_managerFragment_to_emptyFileActivity"
            app:destination="@id/emptyFileActivity" />
        <action
            android:id="@+id/action_managerFragment_to_dupPictureActivity"
            app:destination="@id/dupPictureActivity" />
        <action
            android:id="@+id/action_managerFragment_to_filesFragment"
            app:destination="@id/filesFragment" />
        <action
            android:id="@+id/action_managerFragment_to_internalStorageActivity"
            app:destination="@id/internalStorageActivity" />
    </fragment>
    <fragment
        android:id="@+id/filesFragment"
        android:name="com.zxhy.hfilemanagermaster.files.FilesFragment"
        android:label="fragment_files"
        tools:layout="@layout/fragment_files" >
        <action
            android:id="@+id/action_filesFragment_to_imageActivity"
            app:destination="@id/imageActivity" />
        <action
            android:id="@+id/action_filesFragment_to_videoActivity"
            app:destination="@id/videoActivity" />
        <action
            android:id="@+id/action_filesFragment_to_fileBrowseActivity"
            app:destination="@id/fileBrowseActivity" />
    </fragment>
    <activity
        android:id="@+id/largeFileActivity"
        android:name="com.zxhy.hfilemanagermaster.largefile.LargeFileActivity"
        android:label="activity_large_file"
        tools:layout="@layout/activity_large_file" />
    <activity
        android:id="@+id/emptyFileActivity"
        android:name="com.zxhy.hfilemanagermaster.emptyfile.EmptyFileActivity"
        android:label="activity_empty_file"
        tools:layout="@layout/activity_empty_file" />
    <activity
        android:id="@+id/dupPictureActivity"
        android:name="com.zxhy.hfilemanagermaster.duplicate.DupPictureActivity"
        android:label="activity_dup_picture"
        tools:layout="@layout/activity_dup_picture" />
    <activity
        android:id="@+id/imageActivity"
        android:name="com.zxhy.hfilemanagermaster.image.ImageActivity"
        android:label="activity_image"
        tools:layout="@layout/activity_image" />
    <activity
        android:id="@+id/videoActivity"
        android:name="com.zxhy.hfilemanagermaster.video.VideoActivity"
        android:label="activity_video"
        tools:layout="@layout/activity_video" />
    <activity
        android:id="@+id/internalStorageActivity"
        android:name="com.zxhy.hfilemanagermaster.internalstorage.InternalStorageActivity"
        android:label="activity_internal_storage"
        tools:layout="@layout/activity_internal_storage" />
    <activity
        android:id="@+id/fileBrowseActivity"
        android:name="com.zxhy.hfilemanagermaster.filebrowse.FileBrowseActivity"
        android:label="activity_file_browse"
        tools:layout="@layout/activity_file_browse" />
</navigation>